import{geoCentroid,zoom,event} from 'd3'
export const usMap = (selection, props) => {
  const {
  pathGenerator,
  stateMap,
  data,
  sizeScale,
  radiusValue,
  svg
  } = props;
  
  svg.call(zoom().on('zoom', ()=>{
  selection.attr('transform', event.transform)
  }));

  
  selection.selectAll('path')
    .data(data.features)
    .enter().append('path')
  	.attr('class', 'states')
    .attr('d', pathGenerator(stateMap)) 
    .attr('fill', d => d.properties['TotalVolume'] ? '#fecccc' : '#e8e8e8')
  	.append('title')
  	.text(d => d.properties['State']
            ? [d.properties['State'],d.properties['TotalVolume']].join(': ') 
            : 'Missing Data');
  
  data.features.pop() //not sure why last 2 arnt working
  data.features.pop() //not sure why last 2 arnt working
  
  selection.append("g")
    .attr("class","state-circle")
    .selectAll("circle")
    .data(data.features)
    .enter().append("circle")
    .attr('cx', d => stateMap(geoCentroid(d))[0])
    .attr('cy', d => stateMap(geoCentroid(d))[1])
    .attr('r',d => sizeScale(radiusValue(d)));
};